--- amandad-src/Makefile.am
+++ amandad-src/Makefile.am
@@ -38,9 +38,9 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(libexecdir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 
 lint:
--- amplot/Makefile.am
+++ amplot/Makefile.am
@@ -28,9 +28,9 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 
 install-data-hook:
@@ -38,7 +38,7 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(libexecdir)/$$p; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
         done
--- changer-src/Makefile.am
+++ changer-src/Makefile.am
@@ -70,17 +70,17 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 	@list="$(libexec_PROGRAMS) $(libexec_SCRIPTS)"; \
 	for p in $$list; do \
 		pa=$(DESTDIR)$(libexecdir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 
 lint:
--- client-src/Makefile.am
+++ client-src/Makefile.am
@@ -92,17 +92,17 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 	@list="$(libexec_PROGRAMS) $(libexec_SCRIPTS)"; \
 	for p in $$list; do \
 		pa=$(DESTDIR)$(libexecdir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 if WANT_SETUID_CLIENT
 	@list="calcsize killpgrp rundump runtar"; \
@@ -110,7 +110,7 @@
 		if echo "$(libexec_PROGRAMS)" | grep $$p >/dev/null 2>&1; then \
 			pa=$(DESTDIR)$(libexecdir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
 			echo chown root $$pa; \
-			chown root $$pa; \
+			echo chown root $$pa; \
 			echo chmod u+s,o-rwx $$pa; \
 			chmod u+s,o-rwx $$pa; \
 		else true; \
--- dumper-src/Makefile.am
+++ dumper-src/Makefile.am
@@ -26,8 +26,8 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(dumperdir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 
--- man/Makefile.am
+++ man/Makefile.am
@@ -108,9 +108,9 @@
 		echo $(INSTALL) -c -m 644 $$p $(DESTDIR)$(man8dir); \
 		$(INSTALL) -c -m 644 $$p $(DESTDIR)$(man8dir); \
 		echo chown \"$(BINARY_OWNER)\" $$pa;	\
-		chown "$(BINARY_OWNER)" $$pa;		\
+		echo chown "$(BINARY_OWNER)" $$pa;		\
 		echo chgrp \"$(SETUID_GROUP)\" $$pa;	\
-		chgrp "$(SETUID_GROUP)" $$pa;		\
+		echo chgrp "$(SETUID_GROUP)" $$pa;		\
 	done
 	@list="$(man5_pages)"; \
 	for p in $$list; do \
@@ -118,9 +118,9 @@
 		echo $(INSTALL) -c -m 644 $$p $(DESTDIR)$(man5dir); \
 		$(INSTALL) -c -m 644 $$p $(DESTDIR)$(man5dir); \
 		echo chown \"$(BINARY_OWNER)\" $$pa;	\
-		chown "$(BINARY_OWNER)" $$pa;		\
+		echo chown "$(BINARY_OWNER)" $$pa;		\
 		echo chgrp \"$(SETUID_GROUP)\" $$pa;	\
-		chgrp "$(SETUID_GROUP)" $$pa;		\
+		echo chgrp "$(SETUID_GROUP)" $$pa;		\
 	done
 else	!ENABLE_MANPAGE_BUILD
 	@list="$(man8_pages)"; \
@@ -130,9 +130,9 @@
 		echo $(INSTALL) -c -m 644 $$p $(DESTDIR)$(man8dir); \
 		$(INSTALL) -c -m 644 $$p $(DESTDIR)$(man8dir); \
 		echo chown \"$(BINARY_OWNER)\" $$pa;	\
-		chown "$(BINARY_OWNER)" $$pa;		\
+		echo chown "$(BINARY_OWNER)" $$pa;		\
 		echo chgrp \"$(SETUID_GROUP)\" $$pa;	\
-		chgrp "$(SETUID_GROUP)" $$pa;		\
+		echo chgrp "$(SETUID_GROUP)" $$pa;		\
 	    fi \
 	done
 	@list="$(man5_pages)"; \
@@ -142,9 +142,9 @@
 		echo $(INSTALL) -c -m 644 $$p $(DESTDIR)$(man5dir); \
 		$(INSTALL) -c -m 644 $$p $(DESTDIR)$(man5dir); \
 		echo chown \"$(BINARY_OWNER)\" $$pa;	\
-		chown "$(BINARY_OWNER)" $$pa;		\
+		echo chown "$(BINARY_OWNER)" $$pa;		\
 		echo chgrp \"$(SETUID_GROUP)\" $$pa;	\
-		chgrp "$(SETUID_GROUP)" $$pa;		\
+		echo chgrp "$(SETUID_GROUP)" $$pa;		\
 	    fi \
 	done
 endif
--- oldrecover-src/Makefile.am
+++ oldrecover-src/Makefile.am
@@ -56,9 +56,9 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 		echo chmod o-rwx $$pa; \
 		chmod o-rwx $$pa; \
 	done
--- recover-src/Makefile.am
+++ recover-src/Makefile.am
@@ -56,9 +56,9 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 		echo chmod o-rwx $$pa; \
 		chmod o-rwx $$pa; \
 	done
--- restore-src/Makefile.am
+++ restore-src/Makefile.am
@@ -50,17 +50,17 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 	@list="$(libexec_PROGRAMS)"; \
 	for p in $$list; do \
 		pa=$(DESTDIR)$(libexecdir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 
 lint:
--- server-src/Makefile.am
+++ server-src/Makefile.am
@@ -110,24 +110,24 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 	@list="$(libexec_PROGRAMS) $(libexec_SCRIPTS)"; \
 	for p in $$list; do \
 		pa=$(DESTDIR)$(libexecdir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 	@list="amcheck"; \
 	for p in $$list; do \
 		if echo "$(sbin_PROGRAMS)" | grep $$p >/dev/null 2>&1; then \
 			pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 			echo chown root $$pa; \
-			chown root $$pa; \
+			echo chown root $$pa; \
 			echo chmod u+s,o-rwx $$pa; \
 			chmod u+s,o-rwx $$pa; \
 		else true; \
@@ -142,7 +142,7 @@
 		if echo "$(libexec_PROGRAMS)" | grep $$p >/dev/null 2>&1; then \
 			pa=$(DESTDIR)$(libexecdir)/`echo $$p|sed '$(transform)'`; \
 			echo chown root $$pa; \
-			chown root $$pa; \
+			echo chown root $$pa; \
 			echo chmod u+s,o-rwx $$pa; \
 			chmod u+s,o-rwx $$pa; \
 		else true; \
--- tape-src/Makefile.am
+++ tape-src/Makefile.am
@@ -60,17 +60,17 @@
 	for p in $$list; do \
 		pa=$(DESTDIR)$(sbindir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 	@list="$(libexec_PROGRAMS) $(libexec_SCRIPTS)"; \
 	for p in $$list; do \
 		pa=$(DESTDIR)$(libexecdir)/`echo $$p|sed '$(transform)'`; \
 		echo chown $(BINARY_OWNER) $$pa; \
-		chown $(BINARY_OWNER) $$pa; \
+		echo chown $(BINARY_OWNER) $$pa; \
+		echo chgrp $(SETUID_GROUP) $$pa; \
 		echo chgrp $(SETUID_GROUP) $$pa; \
-		chgrp $(SETUID_GROUP) $$pa; \
 	done
 
 amtapeio_SOURCES = amtapeio.test.c
